10 WIDTH 80
11 ' TRANSFORMER DESIGN PROGRAM Revised September 1997
12 ' Freeware - For Public domain use
13 ' Use at your own risk. Author accepts no liability for use.
14 ' OPEN RANDOM FILE FOR LAMINATION DATA
15 OPEN "R", #1, "XFMRLAM.DAT", 64
16 FIELD #1, 4 AS LAMINATION$, 4 AS BASEWIDTH$, 4 AS WINDOWLENGTH$, 4 AS LEGWIDTH$, 4 AS WINDOWWIDTH$, 4 AS IWIDTH$, 4 AS CENTREWIDTH$, 4 AS LEGWIDTH$, 4 AS THICKNESS1$, 4 AS THICKNESS2$, 4 AS THICKNESS3$, 4 AS THICKNESS4$, 4 AS THICKNESS5$, 4 AS  _
BMAX$
18 ' OPEN RANDOM FILE FOR CONFIGURATION
19 OPEN "R", #2, "CONFIG.DAT", 32
20 FIELD #2, 2 AS INPUTVOLTAGE$, 2 AS LINEFREQUENCY$, 4 AS FLUXDENSITY$, 2 AS CURRENTDENSITY$, 4 AS SPECIFICWEIGHT$, 4 AS DUTYCYCLE$, 4 AS BULGEFACTOR$
21 ' DEFAULT VALUES
22 LAMINATION = 175: BASEWIDTH = .875: WINDOWLENGTH = 2.6: LEGWIDTH = .875: IWIDTH = .875: WINDOWWIDTH = .875: CENTREWIDTH = 1.75: LAMTHICKNESS = .02: BMAX = 19
23 KEY OFF: SCREEN 0, 1: COLOR 15, 0: WIDTH 80: CLS
24 ' TITLE PAGE
25 LOCATE 5, 25, 0: PRINT "PROGRAMS FOR"
26 LOCATE 6, 22, 0: PRINT "ELECTRONIC DESIGN"
27 COLOR 10, 0: LOCATE 10, 19, 0: PRINT CHR$(213) + STRING$(21, 205) + CHR$(184)
28 LOCATE 11, 19, 0: PRINT CHR$(179) + "     TRANSFORMERS    " + CHR$(179)
29 LOCATE 12, 19, 0: PRINT CHR$(179) + STRING$(21, 32) + CHR$(179)
30 LOCATE 13, 19, 0: PRINT CHR$(179) + "    Version 1.2      " + CHR$(179)
31 LOCATE 14, 19, 0: PRINT CHR$(212) + STRING$(21, 205) + CHR$(190)
32 COLOR 15, 0: LOCATE 16, 10, 0: PRINT "No Copyright - Freeware - Modify as you wish"
35 LOCATE 18, 1: PRINT TAB(10); "Use at your own risk. Author accepts no liability for use."
36 LOCATE 20, 1: PRINT TAB(10); "For use by skilled technicians only."
37 COLOR 14, 0: LOCATE 23, 10, 0: PRINT "Press space bar to continue"
38 ' Press space bar to continue routine
290 IF INKEY$ <> "" THEN GOTO 290
300 CMD$ = INKEY$
301 IF CMD$ = " " THEN GOTO 340
302 IF CMD$ = CHR$(27) THEN END
303 GOTO 300
340 COLOR 7, 0: CLS
341 KEY OFF: SCREEN 0, 1: COLOR 7, 0: PRINT : ' Load default configuration
342 INPUTVOLTAGE = 110: LINEFREQUENCY = 60: FLUXDENSITY = 10000: CURRENTDENSITY = 750: SPECIFICWEIGHT = .3: STACKINGFACTOR = .9: BOBBINTHICKNESS = .1
343 DUTYCYCLE = 100: EFFICIENCY = .98: BULGEFACTOR = .125
344 KEY OFF
420 CLS : ' MAIN MENU
440 PRINT
441 PRINT "TRANSFORMER CALCULATIONS": PRINT
442 PRINT "USING SILICON STEEL CORES": PRINT
490 PRINT
491 PRINT "MAIN MENU": PRINT
492 PRINT "1. DESIGN"
493 PRINT "2. SELECT NEW CONFIGURATION FILE"
494 PRINT "3. ENTER NEW CONFIGURATION FILE"
495 PRINT "4. SELECT CORE SIZE"
496 PRINT "5. ENTER NEW CORE SIZE"
497 PRINT "6. QUIT"
498 PRINT "SELECT ONE: "
499 MAINMENUSELECTION$ = INPUT$(1): MAINMENUSELECTION = VAL(MAINMENUSELECTION$): IF MAINMENUSELECTION > 6 THEN PRINT "BAD FUNCTION NUMBER": GOTO 440
500 CLS : ON MAINMENUSELECTION GOSUB 640, 4060, 1540, 3340, 2530, 4320
501 GOTO 420
640 'DESIGN PROCESS
641 'PRINT : PRINT "NUMBER OF SECONDARIES ?"
642 'NUMBEROFSECONDARIES$ = INPUT$(1): NUMBEROFSECONDARIES = VAL(NUMBEROFSECONDARIES$)
643 'IF NUMBEROFSECONDARIES = 0 THEN NUMBEROFSECONDARIES = 1:
644 PRINT "IS SECONDARY 1 CENTRE TAPPED  (Y/N)"
645 CT$ = INPUT$(1)
646 IF CT$ = "Y" THEN CT = 1 ELSE CT = 0
647 CLS
648 PRINT "NUMBER OF SECONDARIES"; TAB(30); NUMBEROFSECONDARIES
649 IF CT = 1 THEN PRINT "CENTRE TAP"; TAB(30); "YES"
650 IF CT = 0 THEN PRINT "CENTRE TAP"; TAB(30); "NO"
651 PRINT "AC INPUT VOLTAGE = "; TAB(30); INPUTVOLTAGE; " VOLTS AC": PRINT
652 PRINT "AC INPUT FREQUENCY = "; TAB(30); LINEFREQUENCY; " HERTZ": PRINT
653 PRINT "FLUX DENSITY = "; TAB(30); FLUXDENSITY; " GAUSS": PRINT
654 PRINT "CURRENT DENSITY = "; TAB(30); CURRENTDENSITY; " CIRCULAR MILS PER AMP": PRINT
655 PRINT "SPECIFIC WEIGHT = "; TAB(30); SPECIFICWEIGHT: PRINT
656 PRINT "DUTY CYCLE = "; TAB(30); DUTYCYCLE; "%": PRINT
657 PRINT "BULGE FACTOR = "; TAB(30); BULGEFACTOR * 100; "%": PRINT
658 PRINT "LAMINATION SELECTED = "; TAB(30); LAMINATION: PRINT
659 INPUT "SECONDARY VOLTAGE = "; OUTPUTVOLTAGE: PRINT
660 INPUT "SECONDARY CURRENT = "; OUTPUTCURRENT
661 CLS : MAGNETICPATH = 2 * WINDOWLENGTH + 2 * WINDOWWIDTH + BASEWIDTH + IWIDTH + LEGWIDTH + CENTREWIDTH / 2
662 WINDOWAREA = WINDOWLENGTH * WINDOWWIDTH
780 INPUTVOLTAGE = INPUTVOLTAGE
790 SECONDARYCURRENT = OUTPUTCURRENT * DUTYCYCLE / 100
800 OUTPUTVOLTAGE = OUTPUTVOLTAGE
810 WATTSINPUT = (OUTPUTVOLTAGE * SECONDARYCURRENT) / EFFICIENCY
820 CURRENTIN = WATTSINPUT / INPUTVOLTAGE
821 CROSSSECTIONALAREA = ((17.26 * WATTSINPUT * CURRENTDENSITY) / (LINEFREQUENCY * FLUXDENSITY)) / WINDOWAREA
822 TURNSPERVOLT = 3500000! / (LINEFREQUENCY * CROSSSECTIONALAREA * FLUXDENSITY)
850 PRIMARYTURNS = TURNSPERVOLT * INPUTVOLTAGE
851 SECONDARYTURNS = (OUTPUTVOLTAGE * PRIMARYTURNS) / (INPUTVOLTAGE * (SQR(EFFICIENCY)))
852 IF LAMINATION <= .01 THEN STACKINGFACTOR = .85
853 IF LAMINATION < .005 THEN STACKINGFACTOR = .8
854 COREDEPTH = CROSSSECTIONALAREA / CENTREWIDTH
855 IF WINDOWWIDTH < .75 THEN BOBBINTHICKNESS = .05
856 IF WINDOWWIDTH < .5 THEN BOBBINTHICKNESS = .025
930 STN = COREDEPTH / STACKINGFACTOR
940 LOCATE 5, 30: PRINT INT(EFFICIENCY * 100); "%"
950 LOCATE 10, 5: PRINT "CROSS SECTION AREA = "; CROSSSECTIONALAREA; " SQUARE INCHES"
960 LAMSREQUIRED = COREDEPTH / LAMTHICKNESS
970 VVV = MAGNETICPATH * CROSSSECTIONALAREA
980 PRIMARYWEIGHT = CURRENTIN * CURRENTDENSITY
990 PRIMARYWIREDIAMETER = SQR(PRIMARYWEIGHT) / 1000
1000 PRIMARYWIREGAUGE = INT(LOG(.46 / PRIMARYWIREDIAMETER) / .1151127) - 2
1010 PRE = .33 * (PRIMARYWIREDIAMETER ^ .2)
1020 SCW = SECONDARYCURRENT * CURRENTDENSITY
1030 SECONDARYWIREDIAMETER = SQR(SCW) / 1000
1040 SECONDARYWIREGAUGE = INT(LOG(.46 / SECONDARYWIREDIAMETER) / .1151127) - 2
1050 SCE = .33 * (SECONDARYWIREDIAMETER ^ .2)
1060 TURNSPERINCH = INT(.9 / PRIMARYWIREDIAMETER) + 1
1070 SECONDARYTURNSPERINCH = INT(.9 / SECONDARYWIREDIAMETER) + 1
1080 IF ((INPUTVOLTAGE + 500) / 8000) > PRE THEN PRIMARYMARGIN = ((INPUTVOLTAGE * 2 + 500) / 8000) ELSE PRIMARYMARGIN = PRE
1090 IF ((OUTPUTVOLTAGE + 500) / 8000) > SCE THEN SECONDARYMARGIN = ((OUTPUTVOLTAGE * 2 + 500) / 8000) ELSE SECONDARYMARGIN = SCE
1100 IF WINDOWLENGTH < .5 AND INPUTVOLTAGE > 50 THEN PRINT "WINDOW IS TOO SHORT FOR INPUT VOLTAGE - YOU MAY HAVE BAD ANSWERS"
1110 WINDOWLENGTHN = WINDOWLENGTH - PRIMARYMARGIN * 2
1120 SECONDARYWINDINGLENGTH = WINDOWLENGTH - SECONDARYMARGIN * 2
1130 TSL = WINDOWLENGTHN * TURNSPERINCH
1140 SECTURNSPERLAYER = SECONDARYWINDINGLENGTH * SECONDARYTURNSPERINCH
1150 PRIMARYLAYERS = PRIMARYTURNS / TSL
1160 PRIMARYPAPER = PRIMARYWIREDIAMETER * PRIMARYLAYERS
1170 PPP = .08 * PRIMARYPAPER
1180 PCV = PRIMARYPAPER * .1
1190 PBU = PRIMARYPAPER + PPP + PCV
1200 PRIMARYBULGE = PBU * BULGEFACTOR
1210 PBT = PBU + PRIMARYBULGE
1220 AVERAGETURNLENGTH = 2 * (WINDOWWIDTH + STN + 4 * BOBBINTHICKNESS) + (3.14 * PBT)
1230 PLE = (PRIMARYTURNS * AVERAGETURNLENGTH / 12)
1240 PRRS = (10371 / PRIMARYWEIGHT) * PLE / 1000
1250 LOCATE 18, 1: PRINT "PRIMARY TURNS = "; INT(PRIMARYTURNS); TAB(45); "SECONDARY TURNS = "; INT(SECONDARYTURNS)
1260 SECONDARYLAYERS = SECONDARYTURNS / SECTURNSPERLAYER
1270 SECONDARYPAPER = SECONDARYWIREDIAMETER * (INT(SECONDARYLAYERS) + 1)
1280 SPP = .04 * (SQR(SECONDARYWIREDIAMETER))
1290 SECONDARYCOVERTHICKNESS = SECONDARYPAPER * .07
1300 XFD = SECONDARYPAPER + SPP + SECONDARYCOVERTHICKNESS
1310 SECONDARYBULGE = XFD * BULGEFACTOR
1320 SFN = SECONDARYPAPER + SPP + SECONDARYCOVERTHICKNESS + SECONDARYBULGE
1330 XVT = 2 * (CENTREWIDTH + STN + 4 * BOBBINTHICKNESS) + (6.28 * (PBT + SFN / 2))
1340 SECONDARYWIRELENGTH = SECONDARYTURNS * XVT / 12
1350 RSC = 10371 / SCW * SECONDARYWIRELENGTH / 1000
1360 RT = ((SECONDARYTURNS - (TURNSPERVOLT * OUTPUTVOLTAGE)) / TURNSPERVOLT) + OUTPUTVOLTAGE
1370 REGULATION = 1 - OUTPUTVOLTAGE / RT
1380 PLP = (CURRENTIN ^ 2) * PRRS
1390 POWERLOSS = RSC * SECONDARYCURRENT ^ 2
1400 EFFICIENCYCALCULATED = 1 - ((4 * POWERLOSS) / WATTSINPUT)
1410 LOCATE 20, 30: PRINT INT(EFFICIENCYCALCULATED * 100); "%"
1420 IF EFFICIENCYCALCULATED < EFFICIENCY THEN EFFICIENCY = EFFICIENCY - .01
1430 IF EFFICIENCYCALCULATED < EFFICIENCY GOTO 780
1440 TTBB = PBT + SFN + BOBBINTHICKNESS
1450 SPLF = WINDOWWIDTH - TTBB
1460 EFFICIENCY = EFFICIENCY * 1.01
1470 IF SPLF < .05 THEN CROSSSECTIONALAREA = CROSSSECTIONALAREA * 1.05
1480 IF SPLF < .05 THEN FLUXDENSITY = FLUXDENSITY * 1.05
1490 IF SPLF < .05 THEN GOTO 850
1500 PLI = (WATTSINPUT * (1 - EFFICIENCYCALCULATED)) - PLP - POWERLOSS
1510 POWERDISSAPATION = PLP + POWERLOSS + PLI
1520 CLS
1530 GOTO 1950
1540 ' WRITE A NEW CONFIGURATION FILE
1541 GOSUB 4280
1550 AA$ = A$
1555 INPUTVOLTAGE = CVI(INPUTVOLTAGE$)
1560 IF INPUTVOLTAGE = 0 THEN GOTO 1600
1570 IF INPUTVOLTAGE > 0 THEN PRINT "OVERWRITE (Y/N?)"
1580 AA$ = INPUT$(1)
1590 IF AA$ < "Y" THEN 490
1600 PRINT
1610 PRINT "AC INPUT VOLTAGE = "; INPUTVOLTAGE
1620 INPUT "NEW AC INPUT VOLTAGE = "; INPUTVOLTAGEQ
1630 IF INPUTVOLTAGEQ > 0 THEN INPUTVOLTAGE = INPUTVOLTAGEQ ELSE INPUTVOLTAGE = INPUTVOLTAGE
1640 LSET INPUTVOLTAGE$ = MKI$(INPUTVOLTAGE)
1650 PRINT "AC LINE FREQUENCY = "; LINEFREQUENCY; " HERTZ"
1660 LSET LINEFREQUENCY$ = MKI$(LINEFREQUENCY)
1670 INPUT "NEW AC LINE FREQUENCY = "; LINEFREQUENCY
1680 IF LINEFREQUENCY = 0 THEN LINEFREQUENCY = 60
1690 LSET LINEFREQUENCY$ = MKI$(LINEFREQUENCY)
1700 PRINT "DUTY CYCLE = "; DUTYCYCLE; " %"
1710 INPUT "NEW DUTY CYCLE = "; DUTYCYCLE
1720 IF DUTYCYCLE = 0 THEN DUTYCYCLE = 100
1730 LSET DUTYCYCLE$ = MKS$(DUTYCYCLE)
1740 PRINT "CURRENT DENSITY = "; CURRENTDENSITY; " CIRCULAR MILS/AMP"
1750 INPUT "NEW CURRENT DENSITY = "; CURRENTDENSITY
1760 IF CURRENTDENSITY = 0 THEN CURRENTDENSITY = 750
1770 LSET CURRENTDENSITY$ = MKI$(CURRENTDENSITY)
1780 PRINT "FLUX DENSITY = "; FLUXDENSITY; " GAUSS"
1790 INPUT "NEW FLUX DENSITY = "; FLUXDENSITY
1800 IF FLUXDENSITY = 0 THEN FLUXDENSITY = 10000
1810 LSET FLUXDENSITY$ = MKS$(FLUXDENSITY)
1811 PRINT "SPECIFIC WEIGHT = "; SPECIFICWEIGHT
1812 INPUT "NEW SPECIFIC WEIGHT = "; SPECIFICWEIGHT
1813 IF SPECIFICWEIGHT = 0 THEN SPECIFICWEIGHT = .3
1814 LSET SPECIFICWEIGHT$ = MKS$(SPECIFICWEIGHT)
1815 PRINT "BULGE FACTOR = "; BULGEFACTOR * 100; "%"
1870 INPUT "NEW BULGE FACTOR = "; BULGEFACTOR
1880 BULGEFACTOR = BULGEFACTOR / 100
1890 PRINT
1900 IF BULGEFACTOR = 0 THEN BULGEFACTOR = .125
1910 LSET BULGEFACTOR$ = MKS$(BULGEFACTOR)
1920 PUT #2, CONFIGURATION%: PRINT "DO ANOTHER (Y/N?)"
1930 DOANOTHERCONFIG$ = INPUT$(1)
1940 IF DOANOTHERCONFIG$ = "Y" THEN GOTO 1540 ELSE RETURN
1950 '
1951 'BUILD SHEET DISPLAY
1952 IF CT = 0 THEN GOSUB 5000
1953 PRIMARYMARGIN = CINT(PRIMARYMARGIN * 100) / 100: SECONDARYMARGIN = (CINT(SECONDARYMARGIN * 100) / 100)
1954 IF CT = 1 THEN GOSUB 6000
1955 '
1956 LOCATE 3, 40: PRINT "COPPER"; TAB(50); PRIMARYPAPER; TAB(66); SECONDARYPAPER
1957 LOCATE 4, 40: PRINT "PAPER"; TAB(50); INT(100 * PRIMARYPAPER) / 100 * .08; TAB(66); SPP
1958 LOCATE 5, 40: PRINT "COVER"; TAB(50); PCV; TAB(66); SECONDARYCOVERTHICKNESS
1959 LOCATE 6, 40: PRINT "BULGE"; TAB(50); PRIMARYBULGE; TAB(66); SECONDARYBULGE
1960 LOCATE 7, 50: PRINT "--------"; TAB(66); "--------"
1961 LOCATE 8, 40: PRINT "TOTAL"; TAB(50); PBT; TAB(66); SFN; " INCHES"
1962 '
1963 LOCATE 10, 40: PRINT "SPACE LEFT IN WINDOW = "
1964 LOCATE 11, 45: PRINT INT(1000 * SPLF) / 1000; " INCHES"
1965 LOCATE 14, 1: PRINT "DUTY CYCLE = ": COLOR 5, 0: LOCATE 14, 25: PRINT DUTYCYCLE; "%": COLOR 7, 0
1966 LOCATE 14, 35: PRINT "LAMINATION OR CORE NUMBER = ": COLOR 5, 0: LOCATE 14, 63: PRINT LAMINATION: COLOR 7, 0
1967 PRINT ; "LAMINATION THICKNESS = ": COLOR 5, 0: LOCATE 15, 25: PRINT LAMTHICKNESS: COLOR 7, 0: LOCATE 15, 30: PRINT " INCHES"
1968 PRINT "STACK THICKNESS = ": COLOR 5, 0: LOCATE 16, 25: PRINT INT(1000 * STN) / 1000: COLOR 7, 0: LOCATE 16, 30: PRINT " INCHES"
1969 PRINT "LAMINATIONS REQUIRED = ": COLOR 5, 0: LOCATE 17, 25: PRINT INT(LAMSREQUIRED): COLOR 7, 0
1970 IRONWEIGHT = VVV * SPECIFICWEIGHT
1971 PRINT "IRON WEIGHT": COLOR 5, 0: LOCATE 18, 25: PRINT CINT(IRONWEIGHT * 100) / 100: COLOR 7, 0: LOCATE 18, 30: PRINT " lbs."
1972 COPPERWEIGHT = INT(100 * ((.003854 * PRIMARYWEIGHT) * (PLE / 1000)) + ((.003854 * SCW) * (SECONDARYWIRELENGTH / 1000))) / 100
1973 PRINT "COPPER WEIGHT = ": COLOR 5, 0: LOCATE 19, 25: PRINT COPPERWEIGHT: COLOR 7, 0: LOCATE 19, 30: PRINT " lbs."
1974 OTHERWEIGHT = (IRONWEIGHT + COPPERWEIGHT) * .1
1975 PRINT "OTHER WEIGHT": COLOR 5, 0: LOCATE 20, 25: PRINT CINT(OTHERWEIGHT * 10) / 10: COLOR 7, 0: LOCATE 20, 30: PRINT " lbs."
1976 PRINT TAB(25); "----------"
1977 PRINT "TOTAL WEIGHT = ": COLOR 5, 0: LOCATE 22, 25: PRINT CINT((IRONWEIGHT + COPPERWEIGHT + OTHERWEIGHT) * 10) / 10: COLOR 7, 0: LOCATE 22, 30: PRINT " lbs."
1978 PRINT : IF PRIMARYPAPER < 0 THEN PRINT "TRANSFORMER DESIGN IMPOSSIBLE WITH THIS CORE"
1979 COLOR 15, 0: LOCATE 23, 50: PRINT "PRESS SPACE BAR TO CONTINUE": COLOR 7, 0
2260 IF INKEY$ <> " " THEN GOTO 2260: CLS
2261 IF PRIMARYPAPER < 0 THEN PRINT "TRANSFORMER DESIGN IMPOSSIBLE WITH THIS CORE"
2262 CLS
2263 PRINT TAB(25); "PRIMARY"; TAB(35); "SECONDARY"
2264 PRINT TAB(25); "-------"; TAB(35); "---------"
2265 PRINT "VOLTAGE"; TAB(25); INPUTVOLTAGE; "V"; TAB(35); OUTPUTVOLTAGE; "V"
2266 PRINT "CURRENT"; TAB(25); CINT(WATTSINPUT * 100 / INPUTVOLTAGE) / 100; "A"; TAB(35); OUTPUTCURRENT; "A"
2267 PRINT "TURNS"; TAB(25); INT(PRIMARYTURNS); TAB(35); INT(SECONDARYTURNS)
2268 PRINT "GAUGE"; TAB(25); PRIMARYWIREGAUGE; TAB(35); SECONDARYWIREGAUGE; " AWG"
2269 PRINT "TURNS/IN."; TAB(25); CINT(TURNSPERINCH); TAB(35); CINT(SECONDARYTURNSPERINCH)
2270 PRINT "MARGINS"; TAB(25); PRIMARYMARGIN; TAB(35); SECONDARYMARGIN; " INCHES"
2271 PRINT "WINDING LENGTH"; TAB(25); INT(100 * WINDOWLENGTHN) / 100; TAB(35); INT(100 * SECONDARYWINDINGLENGTH) / 100; " INCHES"
2272 PRINT "TURNS/LAYER"; TAB(25); CINT(TSL); TAB(35); CINT(SECTURNSPERLAYER)
2273 PRINT "AVERAGE TURN LENGTH = "; TAB(25); INT(100 * AVERAGETURNLENGTH) / 100; TAB(35); INT(100 * XVT) / 100; " INCHES"
2274 PRINT "No. OF LAYERS"; TAB(25); INT(PRIMARYLAYERS) + 1; TAB(35); INT(SECONDARYLAYERS) + 1
2275 ACTUALFLUXDENSITY = (3500000! * INPUTVOLTAGE) / (LINEFREQUENCY * CROSSSECTIONALAREA * PRIMARYTURNS)
2420 PRINT "WIRE LENGTH"; TAB(25); PLE; TAB(35); SECONDARYWIRELENGTH; " FEET"
2430 PRINT "ACTUAL FLUX DENSITY = "; TAB(25); ACTUALFLUXDENSITY; " GAUSS"
2440 PRINT "BOBBIN THICKNESS = "; TAB(25); BOBBINTHICKNESS; " INCHES"
2450 PRINT "ESTIMATED EFFICIENCY = "; TAB(25); CINT(EFFICIENCYCALCULATED * 100); "%"
2460 PRINT "POWER DISSIPATION = "; TAB(25); INT(10 * POWERDISSAPATION) / 10; " WATTS"
2470 PRINT "ESTIMATED REGULATION = "; TAB(25); INT(REGULATION * 10000) / 100; "%"
2480 PRINT "DO ANOTHER (Y,N?)"
2490 DOANOTHER$ = INPUT$(1): EFFICIENCY = .98
2500 CLS
2510 IF DOANOTHER$ = "Y" THEN RETURN
2520 IF DOANOTHER$ < "Y" THEN CLOSE : END
2521 IF DOANOTHER$ > "Y" THEN CLOSE : END
2522 END
2530 INPUT "PART "; PART%
2540 IF PART% < 1 THEN PRINT "BAD PART NUMBER"
2550 IF PART% > 99 THEN PRINT "BAD PART NUMBER"
2560 IF PART% < 1 THEN GOTO 2530
2570 IF PART% > 99 THEN GOTO 2530 ELSE GET #1, PART%
2580 AA$ = A$
2590 LAMINATION = CVI(LAMINATION$)
2600 BASEWIDTH = CVS(BASEWIDTH$)
2610 IF LAMINATION < 1 THEN GOTO 2670
2620 IF LAMINATION >= 1 THEN PRINT "EXISTING LAMINATION NUMBER = "; LAMINATION
2630 IF LAMINATION >= 1 THEN PRINT "OVERWRITE (Y/N?)"
2640 AA$ = INPUT$(1)
2650 IF AA$ < "Y" THEN 490
2660 LX = LAMINATION
2670 BW = BASEWIDTH
2680 PRINT "EXISTING LAMINATION NUMBER = "; LX
2690 INPUT "LAMINATION NUMBER "; LAMINATION
2700 IF LAMINATION = 0 THEN LAMINATION = LX
2710 PRINT "LAMINATION NUMBER = "; LAMINATION
2720 LSET LAMINATION$ = MKI$(LAMINATION)
2730 PRINT "EXISTING BASE WIDTH = "; BW
2740 INPUT "BASE WIDTH "; BASEWIDTH
2750 IF BASEWIDTH = 0 THEN BASEWIDTH = BW
2760 PRINT "BASE WIDTH = "; BASEWIDTH
2770 LSET BASEWIDTH$ = MKS$(BASEWIDTH)
2780 WINDOWLENGTH = CVS(WINDOWLENGTH$)
2790 PRINT "EXISTING WINDOW LENGTH = "; WINDOWLENGTH
2800 INPUT "WINDOWLENGTH "; WINDOWLENGTH
2810 LSET WINDOWLENGTH$ = MKS$(WINDOWLENGTH)
2820 IWIDTH = BASEWIDTH
2830 PRINT "EXISTING I WIDTH = "; IWIDTH
2840 INPUT "NEW IWIDTH "; IWIDTH
2850 IF IWIDTH = 0 THEN IWIDTH = BASEWIDTH
2860 PRINT "I WIDTH = "; IWIDTH
2870 LSET IWIDTH$ = MKS$(IWIDTH)
2880 WINDOWWIDTH = BASEWIDTH
2890 PRINT "EXISTING WINDOW WIDTH = "; WINDOWWIDTH
2900 INPUT "NEW WINDOW WIDTH "; WINDOWWIDTH
2910 IF WINDOWWIDTH = 0 THEN WINDOWWIDTH = BASEWIDTH
2920 PRINT "WINDOW WIDTH = "; WINDOWWIDTH
2930 LSET WINDOWWIDTH$ = MKS$(WINDOWWIDTH)
2940 LEGWIDTH = BASEWIDTH
2950 PRINT "EXISTING LEG WIDTH = "; LEGWIDTH
2960 INPUT "LEGWIDTH "; LEGWIDTH
2970 IF LEGWIDTH = 0 THEN LEGWIDTH = BASEWIDTH: PRINT "LEG WIDTH = "; LEGWIDTH
2980 LSET LEGWIDTH$ = MKS$(LEGWIDTH)
2990 CENTREWIDTH = 2 * WINDOWWIDTH
3000 PRINT "EXISTING CENTRE WIDTH = "; CENTREWIDTH
3010 INPUT "CENTREWIDTH"; CENTREWIDTH
3020 IF CENTREWIDTH = 0 THEN CENTREWIDTH = WINDOWWIDTH * 2
3030 PRINT "CENTRE WIDTH = "; CENTREWIDTH
3040 LSET CENTREWIDTH$ = MKS$(CENTREWIDTH)
3050 THICKNESS1 = .014
3060 PRINT "EXISTING THICKNESS 1 = "; THICKNESS1; " INCHES"
3070 INPUT "THICKNESS 1 "; THICKNESS1
3080 IF THICKNESS1 = 0 THEN THICKNESS1 = .014
3090 PRINT "THICKNESS1 = "; THICKNESS1; " INCHES"
3100 LSET THICKNESS1$ = MKS$(THICKNESS1)
3110 THICKNESS2 = .0185
3120 PRINT "EXISTING THICKNESS 2 = "; THICKNESS2; " INCHES"
3130 INPUT "THICKNESS 2 "; THICKNESS2
3140 IF THICKNESS2 = 0 THEN THICKNESS2 = .0185
3150 PRINT "THICKNESS2 = "; THICKNESS2; " INCHES"
3160 LSET THICKNESS2$ = MKS$(THICKNESS2)
3170 THICKNESS3 = .025
3180 PRINT "EXISTING THICKNESS 3 = "; THICKNESS3; " INCHES"
3190 INPUT "THICKNESS 3 "; THICKNESS3
3200 IF THICKNESS3 = 0 THEN THICKNESS3 = .025
3210 PRINT "THICKNESS3 = "; THICKNESS3; " INCHES"
3220 LSET THICKNESS3$ = MKS$(THICKNESS3)
3230 PRINT "EXISTING THICKNESS 4 = "; THICKNESS4; " INCHES"
3240 INPUT "THICKNESS 4 "; THICKNESS4
3250 LSET THICKNESS4$ = MKS$(THICKNESS4)
3260 PRINT "EXISTING THICKNESS 5 = "; THICKNESS5; " INCHES"
3270 INPUT "THICKNESS 5 "; THICKNESS5
3280 LSET THICKNESS5$ = MKS$(THICKNESS5)
3290 PUT #1, PART%
3300 PRINT "DO ANOTHER (Y,N?)"
3310 DOANOTHERCONFIG$ = INPUT$(1)
3320 CLS
3330 IF DOANOTHERCONFIG$ < "Y" THEN RETURN ELSE GOTO 2530
3340 GOSUB 3960
3342 ' SELECT LAMINATION
3350 INPUT "PART NUMBER "; PART%
3360 GET #1, PART%
3370 IF PART% < 1 THEN PRINT "BAD PART NUMBER": GOTO 3340
3380 PRINT
3390 PRINT USING "PART NUMBER ###"; PART%
3400 PRINT
3410 LAMINATION = CVI(LAMINATION$)
3420 PRINT "LAMINATION NUMBER "; TAB(30); LAMINATION
3430 BASEWIDTH = CVS(BASEWIDTH$)
3440 PRINT "BASE WIDTH "; TAB(30); BASEWIDTH
3450 WINDOWLENGTH = CVS(WINDOWLENGTH$)
3460 PRINT "WINDOW LENGTH "; TAB(30); WINDOWLENGTH
3470 IWIDTH = CVS(IWIDTH$)
3480 PRINT "I WIDTH "; TAB(30); IWIDTH
3490 LEGWIDTH = CVS(LEGWIDTH$)
3500 PRINT "LEG WIDTH "; TAB(30); LEGWIDTH
3510 WINDOWWIDTH = CVS(WINDOWWIDTH$)
3520 PRINT "WINDOW WIDTH "; TAB(30); WINDOWWIDTH
3530 CENTREWIDTH = CVS(CENTREWIDTH$)
3540 PRINT "CENTRE WIDTH "; TAB(30); CENTREWIDTH
3550 THICKNESS1 = CVS(THICKNESS1$)
3560 PRINT "THICKNESS 1 = "; THICKNESS1
3570 THICKNESS2 = CVS(THICKNESS2$)
3580 PRINT "THICKNESS 2 = "; THICKNESS2
3590 THICKNESS3 = CVS(THICKNESS3$)
3600 IF THICKNESS3 > 0 THEN PRINT "THICKNESS 3 = "; THICKNESS3
3610 THICKNESS4 = CVS(THICKNESS4$)
3620 IF THICKNESS4 > 0 THEN PRINT "THICKNESS 4 = "; THICKNESS4
3630 THICKNESS5 = CVS(THICKNESS5$)
3640 IF THICKNESS5 > 0 THEN PRINT "THICKNESS 5 = "; THICKNESS5
3650 GOTO 3660
3660 PRINT "SELECT THICKNESS DESIRED"
3661 IF THICKNESS3 = 0 THEN PRINT "1 OR 2"
3662 IF THICKNESS3 > 0 AND THICKNESS4 = 0 AND THICKNESS5 = 0 THEN PRINT "1 - 3"
3663 IF THICKNESS4 > 0 AND THICKNESS5 = 0 THEN PRINT "1 - 4"
3664 IF THICKNESS5 > 0 THEN PRINT "1 - 5"
3665 THICKNESSDESIRED$ = INPUT$(1)
3666 THICKNESSDESIRED = VAL(THICKNESSDESIRED$)
3667 IF THICKNESSDESIRED = 1 THEN LAMTHICKNESS = THICKNESS1
3668 IF THICKNESSDESIRED = 2 THEN LAMTHICKNESS = THICKNESS2
3669 IF THICKNESSDESIRED = 3 THEN LAMTHICKNESS = THICKNESS3
3670 IF THICKNESSDESIRED = 4 THEN LAMTHICKNESS = THICKNESS4
3671 IF THICKNESSDESIRED = 5 THEN LAMTHICKNESS = THICKNESS5
3672 PRINT ; TAB(30); CHR$(179) + CHR$(27); TAB(45); WINDOWLENGTH + BASEWIDTH; TAB(60); CHR$(26) + CHR$(179)
3673 PRINT TAB(20); CHR$(218) + STRING$(5, 196) + CHR$(191); TAB(30); CHR$(218) + STRING$(30, 196) + CHR$(191)
3674 PRINT TAB(20); CHR$(179); TAB(26); CHR$(179); TAB(30); CHR$(179); TAB(61); CHR$(179)
3675 PRINT TAB(20); CHR$(179); TAB(26); CHR$(179); TAB(30); CHR$(192) + STRING$(25, 196) + CHR$(191); TAB(61); CHR$(179)
3676 PRINT TAB(10); IWIDTH; TAB(20); CHR$(179) + CHR$(27); TAB(25); CHR$(26) + CHR$(179); TAB(56); CHR$(179); TAB(61); CHR$(179)
3677 PRINT TAB(20); CHR$(179); TAB(26); CHR$(179); TAB(30); CHR$(179) + CHR$(27); TAB(40); WINDOWLENGTH; TAB(55); CHR$(26) + CHR$(179); TAB(61); CHR$(179)
3678 PRINT TAB(20); CHR$(179); TAB(26); CHR$(179); TAB(30); CHR$(218) + STRING$(25, 196) + CHR$(217); TAB(61); CHR$(179)
3679 PRINT TAB(20); CHR$(179); TAB(26); CHR$(179); TAB(30); CHR$(179); TAB(40); CENTREWIDTH; TAB(48); CHR$(18); TAB(61); CHR$(179)
3680 PRINT TAB(20); CHR$(179); TAB(26); CHR$(179); TAB(30); CHR$(192) + STRING$(25, 196) + CHR$(191); TAB(61); CHR$(179)
3681 PRINT TAB(20); CHR$(179); TAB(26); CHR$(179); TAB(40); WINDOWWIDTH; TAB(50); CHR$(24); TAB(56); CHR$(179); TAB(61); CHR$(179)
3682 PRINT TAB(20); CHR$(179); TAB(26); CHR$(179); TAB(50); CHR$(25); TAB(56); CHR$(179); CHR$(27); TAB(60); CHR$(26) + CHR$(179); TAB(65); BASEWIDTH
3683 PRINT TAB(20); CHR$(179); TAB(26); CHR$(179); TAB(30); CHR$(218) + STRING$(25, 196) + CHR$(217); TAB(61); CHR$(179)
3684 PRINT TAB(20); CHR$(179); TAB(26); CHR$(179); TAB(30); CHR$(179); TAB(40); LEGWIDTH; TAB(48); CHR$(18); TAB(61); CHR$(179)
3685 PRINT TAB(20); CHR$(192) + STRING$(5, 196) + CHR$(217); TAB(30); CHR$(192) + STRING$(30, 196) + CHR$(217)
3686 PRINT ; TAB(10); "LAMINATION THICKNESS = "; LAMTHICKNESS, "LAMINATION NUMBER ="; LAMINATION
3687 PRINT "IS THIS THE LAMINATION YOU WANT? (Y/N?)"
3940 CONFIGSEL$ = INPUT$(1)
3950 IF CONFIGSEL$ < "Y" GOTO 3340 ELSE RETURN
3960 ' PRINT "DO YOU WANT A LISTING OF THE CORE SIZES IN STOCK? (Y/N?)"
3961 ' RRW$ = INPUT$(1)
3962 ' IF RRW$ > "N" GOTO 3990 ELSE RETURN
3963 PRINT "CORE SIZES AVAILABLE"
3964 ' RETURN
3965 ' STOCK LISTING
3990 COLOR 7, 0
3991 FOR PART% = 1 TO 99
4000 GET #1, PART%
4010 LAMINATION = CVI(LAMINATION$)
4020 CENTREWIDTH = CVS(CENTREWIDTH$)
4030 IF LAMINATION > 1 AND LAMINATION < 999 THEN PRINT "PART # = "; PART%; TAB(16); "LAMINATION # = "; LAMINATION; , "CENTRE WIDTH = "; CENTREWIDTH; "INCHES"
4040 NEXT PART%
4041 ' pause
4042 COLOR 14, 0: LOCATE 23, 10, 0: PRINT "Press space bar to continue"
4043 ' Press space bar to continue routine
4044 IF INKEY$ <> "" THEN GOTO 4044
4045 CMD$ = INKEY$
4046 IF CMD$ = " " THEN GOTO 4049
4047 IF CMD$ = CHR$(27) THEN END
4048 GOTO 4044
4049 COLOR 7, 0: CLS
4050 RETURN
4060 ' SELECT A NEW CONFIGURATION
4061 GOSUB 4280
4062 PRINT : PRINT USING "CONFIGURATION NUMBER ##"; CONFIGURATION%
4063 PRINT : INPUTVOLTAGE = CVI(INPUTVOLTAGE$)
4064 PRINT "VOLTAGE IN = "; TAB(30); INPUTVOLTAGE; " VOLTS AC": LINEFREQUENCY = CVI(LINEFREQUENCY$)
4065 PRINT "LINE FREQUENCY = "; TAB(31); LINEFREQUENCY; " HERTZ": CD = CVI(CURRENTDENSITY$): CURRENTDENSITY = CD: DUTYCYCLE = CVS(DUTYCYCLE$)
4066 PRINT "DUTY CYCLE = "; TAB(30); DUTYCYCLE; "%"
4067 PRINT "CURRENT DENSITY = "; TAB(30); CURRENTDENSITY; " CIRCULAR MILS PER AMP": FLUXDENSITY = CVS(FLUXDENSITY$)
4068 PRINT "FLUX DENSITY = "; TAB(30); FLUXDENSITY; " GAUSS": SPECIFICWEIGHT = CVS(SPECIFICWEIGHT$)
4069 PRINT "SPECIFIC WEIGHT = "; TAB(30); SPECIFICWEIGHT: BULGEFACTOR = CVS(BULGEFACTOR$)
4070 PRINT "BULGE FACTOR = "; TAB(30); BULGEFACTOR * 100; "%"
4071 PRINT "IS THIS THE CONFIGURATION YOU WANT? (Y/N?)"
4072 CONFIGSEL$ = INPUT$(1)
4073 IF CONFIGSEL$ < "X" THEN GOTO 4060 ELSE RETURN
4280 ' SELECT CONFIGURATION NUMBER
4281 INPUT "CONFIGURATION NUMBER"; CONFIGURATION%
4282 IF (CONFIGURATION%) < 1 OR (CONFIGURATION%) > 40 THEN PRINT "BAD CONFIGURATION NUMBER"
4283 IF (CONFIGURATION%) < 1 OR (CONFIGURATION%) > 100 THEN GOTO 4280 ELSE GET #2, CONFIGURATION%: RETURN
4310 RETURN
4320 CLOSE : KEY ON: END
5000 'NON CT BUILD DIAGRAM
5001 PRINT "BUILD SHEET FOR A "; OUTPUTVOLTAGE; " Volt, "; OUTPUTCURRENT; " Amp TRANSFORMER"
5002 '
5003 'TITLE LINE
5004 PRINT TAB(8); "PRIMARY"; TAB(19); "SECONDARY"; TAB(40); "PHYSICAL BUILD"
5005 PRIMARYPAPER = INT(1000 * PRIMARYPAPER) / 1000: SECONDARYPAPER = INT(1000 * SECONDARYPAPER) / 1000
5006 '
5007 'BUILD LINE 1
5008 COLOR 2, 0: LOCATE 3, 8: PRINT STRING$(10, 196) + CHR$(191) + CHR$(218) + STRING$(10, 196)
5009 SPP = CINT(1000 * SPP) / 1000
5010 COLOR 7, 0
5011 '
5012 'BUILD LINE 2
5013 LOCATE 4, 9: PRINT INPUTVOLTAGE; "V"
5014 COLOR 2, 0: LOCATE 4, 18: PRINT CHR$(179); CHR$(179)
5015 COLOR 7, 0: LOCATE 4, 22: PRINT OUTPUTVOLTAGE; "V"
5016 PCV = INT(1000 * PCV) / 1000: SECONDARYCOVERTHICKNESS = INT(1000 * SECONDARYCOVERTHICKNESS) / 1000
5017 '
5018 'BUILD LINE 3
5019 PRINT TAB(9); LINEFREQUENCY; "Hz"
5020 COLOR 2, 0: LOCATE 5, 18: PRINT CHR$(179); CHR$(179)
5021 COLOR 7, 0: LOCATE 5, 22: PRINT OUTPUTCURRENT; "A"
5022 '
5023 PLE = CINT(PLE): SECONDARYWIRELENGTH = CINT(SECONDARYWIRELENGTH)
5024 PRIMARYBULGE = INT(1000 * PRIMARYBULGE) / 1000: SECONDARYBULGE = INT(1000 * SECONDARYBULGE) / 1000
5025 '
5026 'NON CT PRI TURNS, SEC CURRENT
5027 PRINT TAB(9); INT(PRIMARYTURNS); "T"
5028 COLOR 2, 0: LOCATE 6, 18: PRINT CHR$(179); CHR$(179)
5029 COLOR 7, 0: LOCATE 6, 22: PRINT INT(SECONDARYTURNS); "TURNS"
5030 '
5031 'PRI WIRE GAUGE, SEC WIRE GAUGE
5032 PRINT TAB(11); PRIMARYWIREGAUGE; "Ga"
5033 COLOR 2, 0: LOCATE 7, 18: PRINT CHR$(179); CHR$(179)
5034 COLOR 7, 0: LOCATE 7, 22: PRINT SECONDARYWIREGAUGE; "Ga"
5035 PBT = INT(1000 * PBT) / 1000: SFN = INT(1000 * SFN) / 1000
5036 COLOR 2, 0: PRINT TAB(8); STRING$(10, 196) + CHR$(217) + CHR$(192) + STRING$(10, 196): COLOR 7, 0
5037 RETURN
6000 'CT BUILD LISTING
6001 PRINT "BUILD SHEET FOR A "; OUTPUTVOLTAGE; " Volt CT, "; OUTPUTCURRENT; " Amp TRANSFORMER"
6002 OUTPUTVOLTAGE = OUTPUTVOLTAGE / 2
6003 'TITLE LINE
6004 PRINT TAB(4); "PRIMARY"; TAB(15); "SECONDARY"; TAB(40); "PHYSICAL BUILD"
6005 PRIMARYPAPER = INT(1000 * PRIMARYPAPER) / 1000: SECONDARYPAPER = INT(1000 * SECONDARYPAPER) / 1000
6006 '
6007 'BUILD LINE 3
6008 LOCATE 3, 15: COLOR 2, 0: PRINT CHR$(218) + STRING$(10, 196)
6009 '
6010 'BUILD LINE 4
6011 LOCATE 4, 15: PRINT CHR$(179): COLOR 7, 0: LOCATE 4, 18: PRINT OUTPUTVOLTAGE; "V"
6012 '
6013 'BUILD LINE 5
6014 COLOR 2, 0: LOCATE 5, 4: PRINT STRING$(10, 196) + CHR$(191) + CHR$(179): COLOR 7, 0: LOCATE 5, 18: PRINT INT(SECONDARYTURNS / 2); "TURNS"
6015 '
6016 'BUILD LINE 6
6017 SPP = CINT(1000 * SPP) / 1000
6018 PRINT TAB(6); INPUTVOLTAGE; "V": COLOR 2, 0: LOCATE 6, 14: PRINT CHR$(179); CHR$(179): COLOR 7, 0
6019 LOCATE 6, 18: PRINT SECONDARYWIREGAUGE; "Ga"
6020 PCV = INT(1000 * PCV) / 1000: SECONDARYCOVERTHICKNESS = INT(1000 * SECONDARYCOVERTHICKNESS) / 1000
6021 '
6022 'BUILD LINE 7
6023 PRINT TAB(6); LINEFREQUENCY; "Hz": COLOR 2, 0: LOCATE 7, 14: PRINT CHR$(179) + CHR$(192); STRING$(10, 196): COLOR 7, 0
6024 '
6025 'BUILD LINE 8
6026 PRINT TAB(6); INT(PRIMARYTURNS); " T": COLOR 2, 0: LOCATE 8, 14: PRINT CHR$(179); CHR$(218); STRING$(10, 196): COLOR 7, 0
6027 PLE = CINT(PLE): SECONDARYWIRELENGTH = CINT(SECONDARYWIRELENGTH)
6028 PRIMARYBULGE = INT(1000 * PRIMARYBULGE) / 1000: SECONDARYBULGE = INT(1000 * SECONDARYBULGE) / 1000
6029 '
6030 'BUILD LINE 9
6031 PRINT TAB(6); PRIMARYWIREGAUGE; "Ga": COLOR 2, 0: LOCATE 9, 14: PRINT CHR$(179); CHR$(179): COLOR 7, 0: LOCATE 9, 18: PRINT OUTPUTVOLTAGE; "V"
6032 '
6033 'BUILD LINE 10
6034 COLOR 2, 0: PRINT TAB(4); STRING$(10, 196) + CHR$(217) + CHR$(179): COLOR 7, 0: LOCATE 10, 18: PRINT INT(SECONDARYTURNS / 2); "TURNS"
6035 '
6036 'BUILD LINE 11
6037 COLOR 2, 0: LOCATE 11, 15: PRINT CHR$(179): COLOR 7, 0: LOCATE 11, 18: PRINT SECONDARYWIREGAUGE; "Ga"
6038 '
6039 'BUILD LINE 12
6040 PRIMARYMARGIN = CINT(PRIMARYMARGIN * 100) / 100: SECONDARYMARGIN = (CINT(SECONDARYMARGIN * 100) / 100)
6041 PBT = INT(1000 * PBT) / 1000: SFN = INT(1000 * SFN) / 1000
6042 COLOR 2, 0: LOCATE 12, 15: PRINT CHR$(192) + STRING$(10, 196): COLOR 7, 0
6043 RETURN

